## org.apache.batik.util
Interface RunnableQueue.RunHandler

All Known Implementing Classes:
  RunnableQueue.RunHandlerAdapter, UpdateManager.UpdateManagerRunHander

Enclosing class:
  RunnableQueue

    public static interface RunnableQueue.RunHandler

This interface must be implemented by an object which wants to be notified of run events.

Method Summary
`void` `executionResumed(RunnableQueue rq)` Called when the execution of the queue has been resumed.
`void` `executionSuspended(RunnableQueue rq)` Called when the execution of the queue has been suspended.
`void` `runnableInvoked(RunnableQueue rq, java.lang.Runnable r)` Called when the given Runnable has just been invoked and has returned.
`void` `runnableStart(RunnableQueue rq, java.lang.Runnable r)` Called just prior to invoking the runnable

Method Detail

### runnableStart

    void runnableStart(RunnableQueue rq,
                       java.lang.Runnable r)

  Called just prior to invoking the runnable

### runnableInvoked

    void runnableInvoked(RunnableQueue rq,
                         java.lang.Runnable r)

  Called when the given Runnable has just been invoked and has returned.

### executionSuspended

    void executionSuspended(RunnableQueue rq)

  Called when the execution of the queue has been suspended.

### executionResumed

    void executionResumed(RunnableQueue rq)

  Called when the execution of the queue has been resumed.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.